## org.eclipse.amp.amf.testing.ui
Class ATestUiModule

    java.lang.Object
      org.eclipse.xtext.service.AbstractGenericModule
          org.eclipse.xtext.ui.DefaultUiModule
              org.eclipse.amp.amf.testing.ui.AbstractATestUiModule
                  org.eclipse.amp.amf.testing.ui.ATestUiModule

All Implemented Interfaces:
  com.google.inject.Module

    public class ATestUiModule

extends AbstractATestUiModule

Use this class to register components to be used within the IDE.

Constructor Summary
`ATestUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)`

Method Summary

Methods inherited from class org.eclipse.amp.amf.testing.ui.AbstractATestUiModule

`bindAbstractJavaBasedContentProposalProvider$ReferenceProposalCreator, bindAbstractTypeScopeProvider, bindClassLoaderToInstance, bindContentAssistContext$Factory, bindDocumentBasedDirtyResource, bindIContentAssistParser, bindIContentProposalProvider, bindIDependentElementsCalculator, bindIHyperlinkHelper, bindIJavaProjectProvider, bindIJvmTypeProvider$Factory, bindILabelProvider, bindIOutlineTreeProvider, bindIOutlineTreeStructureProvider, bindIProposalConflictHelper, bindIssueResolutionProvider, bindITypesProposalProvider, bindIWorkspaceRootToInstance, bindIXtextBuilderParticipant, bindIXtextEditorCallback, bindPrefixMatcher, configureContentAssistLexer, configureContentAssistLexerProvider, configureHighlightingLexer, configureHighlightingTokenDefProvider, configureIResourceDescriptionsBuilderScope, configureIResourceDescriptionsPersisted, configureResourceUIServiceLabelProvider, provideIAllContainersState`

Methods inherited from class org.eclipse.xtext.ui.DefaultUiModule

`bindAbstractEditStrategyProvider, bindAdapterFactory, bindAdapterFactoryLabelProvider, bindComposedAdapterFactory$Descriptor$RegistryToInstance, bindContextTypeRegistry, bindIAllContainersState$Provider, bindIAnnotationHover, bindICharacterPairMatcher, bindICompletionProposalPostProcessor, bindIContentAssistantFactory, bindIContentAssistProcessor, bindIContentFormatterFactory, bindIContentOutlinePage, bindIDocumentPartitioner, bindIEObjectHover, bindIExternalContentSupport$IExternalContentProvider, bindIHighlightingHelper, bindIHyperlinkDetector, bindIImageHelper, bindIIndentationInformation, bindIPartitionTokenScanner, bindIPreferenceStore, bindIPresentationDamager, bindIPresentationRepairer, bindIReconciler, bindIResourceForEditorInputFactory, bindIResourceSetProvider, bindISingleLineCommentHelper, bindITemplateProposalProvider, bindITextHover, bindITokenScanner, bindOutlineFilterAndSorter$IComparator, bindTemplateStore, configure, configureBracketMatchingAction, configureContentProposalLabelProvider, configureHyperlinkLabelProvider, configureIOutlineContribution$Composite, configureLanguageSpecificURIEditorOpener, configureMarkOccurrencesAction, configureToggleLinkWithEditorOutlineContribution, configureToggleSortingOutlineContribution, configureUiEncodingProvider, configureXtextEditorErrorTickUpdater`

Methods inherited from class org.eclipse.xtext.service.AbstractGenericModule
`bindProperties, getBindings, tryBindProperties`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ATestUiModule

    public ATestUiModule(org.eclipse.ui.plugin.AbstractUIPlugin plugin)